Get lists
GET /PIM/Entity/List — PIM API · Definitions
Returns the company's catalog lists (content, price, image, product, warehouse group, attribute, etc.).
EntityListId values used in product records are obtained from here.
EntityTypeId values:
| Value | List type |
|---|---|
| 3 | Category tree |
| 4 | Price list |
| 5 | Product list |
| 6 | Warehouse group |
| 7 | Image (asset) list |
| 8 | Content list (name, description) |
| 11 | Integration attribute |
| 13 | Attribute |
For example, use only those with EntityTypeId = 4 for price lists.
Parametreler
productId(query, integer): If provided, returns lists only from catalogs containing this product.Tenant(header, string): Company code for users accessing multiple companies with Basic Auth. Not required if using Bearer token.
Yanıtlar
- 200: List records. Returns
200even in error cases; checkIsSuccess. - 401: Authentication failed (missing header, incorrect Basic credentials, or invalid token). Body is empty.